> For the complete documentation index, see [llms.txt](https://docs.sharinpix.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sharinpix.com/documentation/features/main-integration/using-in-your-own-mobile-app.md).

# Using in your own mobile app

It is possible to use SharinPix both in the **online** and **offline** experience.

* [Online usage](#online-usage)
* [Offline usage](#offline-usage)

## Online usage

Throughout the online experience, which evidently requires a constant and consistent internet connectivity, one approach arise:

* [SharinPix inside Webform](#sharinpix-inside-webform)

### SharinPix inside Webform

* It is possible to use an **Iframe** html element that displays the SharinPix Album within an web form Page.
* The SharinPix URL fed to the **src** attribute of the Iframe element should have the following structure:

```
https://app.sharinpix.com/pagelayout/album_id?token=token_value
```

where,

* **album\_id** corresponds to the album you intend to display
* **token\_value** corresponds to the abilities of the SharinPix Album

The screenshot below shows how the album should appear:

![](https://2221230591-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F5EvYRrLbUyvRh8o1jmMG%2Fuploads%2FSU4euIZJPrRQetg01HIR%2Fimage%20\(20\).png?alt=media\&token=60d27c6c-4c58-4305-91b5-5ca8eaaaa356)

## Offline usage

{% hint style="warning" %}
**Note:** To use SharinPix in an offline context, it is mandatory to use the **SharinPix mobile application.**
{% endhint %}

Throughout the offline experience, which in this case presents an absence of internet connectivity, one main main approach to use SharinPix arise:

* Use a custom deeplink to launch the SharinPix Mobile Application from your own Mobile Application.
* For example, the custom deeplink for upoading images should be in the follow form:

```
sharinpix://upload?token=token_value
```

where,

* **token\_value** corresponds to the abilities of the SharinPix Album where the images are to be uploaded to.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sharinpix.com/documentation/features/main-integration/using-in-your-own-mobile-app.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
